%define name vile 
%define version 9.2
%define serial n
%define release 10mdk

Summary: Vi compatible text editor 
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Editors
Source: %{name}.tar.bz2
Patch0: %{name}-%{version}a.patch.bz2
Patch1: %{name}-%{version}b.patch.bz2
Patch2: %{name}-%{version}c.patch.bz2
Patch3: %{name}-%{version}d.patch.bz2
Patch4: %{name}-%{version}e.patch.bz2
Patch5: %{name}-%{version}f.patch.bz2
Patch6: %{name}-%{version}g.patch.bz2
Patch7: %{name}-%{version}h.patch.bz2
Patch8: %{name}-%{version}i.patch.bz2
Patch9: %{name}-%{version}j.patch.bz2
Patch10: %{name}-%{version}k.patch.bz2
Patch11: %{name}-%{version}l.patch.bz2
Patch12: %{name}-%{version}m.patch.bz2
Patch13: %{name}-%{version}%{serial}.patch.bz2
BuildRequires:	flex ncurses-devel
BuildRoot:%{_tmppath}/%{name}-build-%{version}
URL: http://www.vile.cx/

%description
vile is a text editor which is extremely compatible with vi in terms
of "finger feel".  in addition, it has extended capabilities in many areas,
notably multi-file editing and viewing, key rebinding, real X window
system support, an optional embedded perl interpreter, and robust
support for non-Unix hosts.

%prep
%setup -q  
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1

%build
%configure
make prefix=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
mv $RPM_BUILD_ROOT/%{_mandir}/vile.1 $RPM_BUILD_ROOT/%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT
echo RPM_BUILD_ROOT= $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc README doc/*
%{_bindir}/*
%{_datadir}/man/man1/*
%{_datadir}/*.rc
%{_datadir}/*.keywords

%changelog
* Sun Sep 09 2001 Stefan van der Eijk <stefan@eijk.nu> 9.2-10mdk
- BuildRequires: flex ncurses-devel

* Thu Jun 14 2001 Daouda Lo <daouda@mandrakesoft.com> 9.2-9mdk
- release : patch n

* Fri May  25 2001  Daouda Lo <daouda@mandrakesoft.com> 9.2-8mdk
- release: applied patch j to m

* Tue Mar  6 2001  Daouda Lo <daouda@mandrakesoft.com> 9.2-7mdk
- release: applied patch i

* Mon Feb 26 2001  Daouda Lo <daouda@mandrakesoft.com> 9.2-6mdk
- 9.2e -> 9.2h patches applied 

* Wed Feb 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 9.2-5mdk
- fix group (thx yves)

* Wed Feb 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 9.2-4mdk
- rebuild
- add url

* Thu Dec  7 2000  Daouda Lo<daouda@mandrakesoft.com> 9.2-3mdk
- 9.2d (bug fixes + cleanup)

* Thu Nov 16 2000 Daouda Lo <daouda@mandrakesoft.com> 9.2-2mdk
- 9.2c release (3 patches to 9.2)
- more macros 
- fixed package that owned standard dir.
- gcc 2.96 build

* Fri Oct 27 2000 Daouda Lo <daouda@mandrakesoft.com> 9.2-1mdk
- new release

* Thu Sep 28 2000 Florin Grad <florin@mandrakesoft.com> 9.1-1mdk
- first attempt
